Bug 1567785 - External Display connected via HDMI is not detected by Fedora Workstation 28
Summary: External Display connected via HDMI is not detected by Fedora Workstation 28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 08:29 UTC by deadrat
Modified: 2019-05-28 19:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:54:14 UTC
Type: Bug


Attachments (Terms of Use)

Description deadrat 2018-04-16 08:29:16 UTC
Description of problem:
Unable to use the external monitor via HDMI in a laptop running Fedora 28

Version-Release number of selected component (if applicable): 

Linux 4.16.1-300.fc28.x86_64 GNU/Linux 


How reproducible:


Steps to Reproduce:
1. Install fedora in affected hardware
2. Connect to external display device via HDMI
3. Try to use the external display for extending/mirroring/using it as only display

Actual results:
The external display device is not detected. 

Expected results:
The external display must be detected and available in settings to be used. 

Additional info:
I am using Lenovo Z51 Laptop. 

$ $ lspci -v
00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
	Subsystem: Lenovo Device 3823
	Flags: bus master, fast devsel, latency 0
	Capabilities: <access denied>
	Kernel driver in use: bdw_uncore

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 3824
	Flags: bus master, fast devsel, latency 0, IRQ 49
	Memory at d0000000 (64-bit, non-prefetchable) [size=16M]
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 5000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

04:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Venus XTX [Radeon HD 8890M / R9 M275X/M375X] (rev 81)
	Subsystem: Lenovo Radeon R9 M375
	Flags: bus master, fast devsel, latency 0, IRQ 50
	Memory at b0000000 (64-bit, prefetchable) [size=256M]
	Memory at d1000000 (64-bit, non-prefetchable) [size=256K]
	I/O ports at 3000 [size=256]
	Expansion ROM at d1040000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon
	Kernel modules: radeon, amdgpu

More info : https://paste.fedoraproject.org/paste/gGSPmuwi4Xmh1DbeLrTc-A

Comment 1 Ben Cotton 2019-05-02 21:55:27 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 19:54:14 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.